package be.iminds.ilabt.jfed.experiment;

import be.iminds.ilabt.jfed.highlevel.jobs.Job;
import be.iminds.ilabt.jfed.highlevel.jobs.State;

/**
 * User: twalcari
 * Date: 2/4/2015
 * Time: 12:03
 */
public interface ExperimentControllerListener {

    void onJobSubmitted(Job<?> job);
    void onJobStateChanged(Job<?> job, State state);
    void onJobFinished(Job<?> job);
}
